/*****************************************************************************
  Gestionnaire de terminal Unix: checkbox.h  (c) Pierre Adriaans 1994
------------------------------------------------------------------------------
  Include de checkbox.c

  Les fonctions de ce module servent uniquement a la gestion de LLU
  utilisees par les fonctions de answerbx.c et inputbox.c pour
  gerer des check box.

  Le principe est exactement le meme que pour la gestion des listes de
  type AnswerBoxItem_t dans answerbx.h. Les fonctions CheckBox ont ete
  implementees dans un but uniquement semantique.
*****************************************************************************/

#ifndef _CHECKBOX_H_
#define _CHECKBOX_H_

struct CheckBoxItem_s
 {
  char *Str;
  struct CheckBoxItem_s *Suivant;
 };
typedef struct CheckBoxItem_s CheckBoxItem_t;

void InitCheckBoxItem(CheckBoxItem_t **Liste);
int AddCheckBoxItem(CheckBoxItem_t **Liste,char *Str);
int GetCBNbreItems(CheckBoxItem_t *Liste);

#endif
