/*****************************************************************************
 Application ASH: aide.c  (c) Pierre Adriaans 1994
------------------------------------------------------------------------------
 Module d'aide du programme.
*****************************************************************************/

#include "ash.h"

/*****************************************************************************
				Aide()
------------------------------------------------------------------------------
 Input,Output: /
 Process: affichage de l'ecran d'aide.
*****************************************************************************/

void Aide(void)
 {
  int i,X,Y;
  char Line[80],Line2[50],Line3[50];

  GetXY(&X,&Y);
  Line[0] = F_BDDD;
  for(i=1;i<75;i++) Line[i] = F_D_HO;
  Line[i] = F_DDBD;
  Line[i+1] = 0;

  Line2[0] = F_BDSD;
  for(i=1;i<37;i++) Line2[i] = F_S_HO;
  Line2[i] = F_SSBS;
  Line2[i+1] = 0;

  Line3[0] = F_BSSS;
  for(i=1;i<38;i++) Line3[i] = F_S_HO;
  Line3[i] = F_SDBD;
  Line3[i+1] = 0;

  OpenWin(4,3,19,76,HelpNorm,DOUBLE_FRAMED,SHADED);
  WriteString(Line,HelpNorm,6,3);
  PutChar(F_DBDS,6,40);
  for(i=7;i<20;i++) PutChar(F_S_VE,i,40);
  WriteString(Line,HelpNorm,20,3);
  PutChar(F_DSDB,20,40);
  WriteString(Line2,HelpNorm,14,3);
  WriteString(Line2,HelpNorm,18,3);
  WriteString(Line3,HelpNorm,10,40);
  WriteString(Line3,HelpNorm,18,40);
  PutChar(F_SSSS,18,40);

  SetCurrentAtt(HelpNorm);
  Printf("                    %s: Control-keys list.\n\n",PROG_NAME);

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-J (F2,Do): ");
  SetCurrentAtt(HelpNorm);
  Printf("User Menu.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-V (F3,F4): ");
  SetCurrentAtt(HelpNorm);
  Printf("Edit.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-O (F5):    ");
  SetCurrentAtt(HelpNorm);
  Printf("Copy.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-Y (F6):    ");
  SetCurrentAtt(HelpNorm);
  Printf("Move/Rename.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-W (F7):    ");
  SetCurrentAtt(HelpNorm);
  Printf("Create directory.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-K (F8):    ");
  SetCurrentAtt(HelpNorm);
  Printf("Delete.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-G (F9):    ");
  SetCurrentAtt(HelpNorm);
  Printf("Pull down Menus.\n\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-T: ");
  SetCurrentAtt(HelpNorm);
  Printf("Select multiple files.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-N: ");
  SetCurrentAtt(HelpNorm);
  Printf("Deselect multiple files.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-Z (Ins): ");
  SetCurrentAtt(HelpNorm);
  Printf("Tag/Untag one file.\n\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-F: ");
  SetCurrentAtt(HelpNorm);
  Printf("File information.\n");

  SetActiveWindow(7,42,15,36);
  GotoXY(7,42);

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-P: ");
  SetCurrentAtt(HelpNorm);
  Printf("Recall commands.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-R: ");
  SetCurrentAtt(HelpNorm);
  Printf("Refresh window.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-L: ");
  SetCurrentAtt(HelpNorm);
  Printf("Redraw entire screen.\n\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-I (Tab):  ");
  SetCurrentAtt(HelpNorm);
  Printf("Change active window.");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-B (Home): ");
  SetCurrentAtt(HelpNorm);
  Printf("Top of list.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-E (End):  ");
  SetCurrentAtt(HelpNorm);
  Printf("End of list.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-U (PgUp): ");
  SetCurrentAtt(HelpNorm);
  Printf("Page Up.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-D (PgDn): ");
  SetCurrentAtt(HelpNorm);
  Printf("Page Down.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-X (Del,Remove): ");
  SetCurrentAtt(HelpNorm);
  Printf("Delete char.\n");

  SetCurrentAtt(HelpBold);
  Printf("Ctrl-C (Esc):  ");
  SetCurrentAtt(HelpNorm);
  Printf("Reset Command Line.\n\n");

  SetCurrentAtt(HelpBold);
  Printf("F10: ");
  SetCurrentAtt(HelpNorm);
  Printf("Quit Pash.");

  WriteString(" Press a key to close... ",HelpInv,21,28);
  GotoXY(X,Y);
  fflush(stdout);
  ReadKbd();
  CloseWin();
 }


